package com.steerinfo.baseinfo.meterbasedriver.service;

import com.steerinfo.baseinfo.meterbasecussupcar.model.MeterBaseCusSupCar;
import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.baseinfo.meterbasedriver.model.MeterBaseDriver;
import feign.Param;

import java.util.Date;
import java.math.BigDecimal;
import java.util.List;

/**
 * MeterBaseDriver服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2022-01-10 03:09
 * 类描述
 * 修订历史：
 * 日期：2022-01-10
 * 作者：generator
 * 参考：
 * 描述：MeterBaseDriver服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IMeterBaseDriverService extends IBaseService<MeterBaseDriver, String>{
    String checkandadd(MeterBaseDriver model);

    String Recovery(List<MeterBaseDriver> models);

    String abolish(List<MeterBaseDriver> models);

    String checkandupdate(String id,MeterBaseDriver model);
//    批量删除
    int deleteByBatch(String[] array);

    void deleteDriverById(@Param("list") List<String> driverNos);

}